BEGIN{
  dn=10;
  min=100000;
  max=-100000;
  count=0;
}
{
  if($2>=0){bin=int($2/dn)};
  if($2<0){bin=int($2/dn)-1};
  if(bin < min){min=bin};
  if(bin > max){max=bin};
  hist[bin]+=1;
  count+=1;
} END {
  for(i=min;i<=max;++i){
    if(hist[i]>0){
      print (i+0.5)*dn,hist[i]/(count*dn);
    }
  }
}
