set terminal x11 persist
set yr [-4:10]
set key on at 0.8, 9 spacing 1.5 font ",20"
set style data lines 
do for [i=0:2000:2] {
  plot sprintf('frame%06d.dat',i) using 1:4 title '{/Symbol y}^2' , \
       sprintf('frame%06d.dat',i) using 1:2 ti    'Re {/Symbol y}', \
       sprintf('frame%06d.dat',i) using 1:3 ti    'Im {/Symbol y}'; pause 0.01}

