set terminal x11 enhanced font "helvetica-20"  persist

set key on at 18000,1800 font ",20" spacing 2
set tics font ",18"
set lmargin 18
set rmargin 6
set bmargin 6
set xlabel 't (ps)' font ',20' offset 0,-1
set ylabel 'U (kJ/mol)' font ',20' offset -5,0
plot 'en.dat' using 1:2 with lines title "U_{LJ} (kJ/mol)" lw 3 lc 0, \
     'en.dat' using 1:3 with lines title "U_{C} (kJ/mol)" lw 3 lc 2

set term png enhanced font "helvetica-20"
set output "datagraph.png"

set key on at 18000,1800 font ",20" spacing 2
set tics font ",18"
set lmargin 18
set rmargin 6
set bmargin 6
set xlabel 't (ps)' font ',20' offset 0,-1
set ylabel 'U (kJ/mol)' font ',20' offset -5,0
plot 'en.dat' using 1:2 with lines title "U_{LJ} (kJ/mol)" lw 3 lc 0, \
     'en.dat' using 1:3 with lines title "U_{C} (kJ/mol)" lw 3 lc 2
